/* darker-grotesque-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Darker Grotesque";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/darker-grotesque-v10-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* darker-grotesque-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Darker Grotesque";
  font-style: normal;
  font-weight: 600;
  src: url("../fonts/darker-grotesque-v10-latin-600.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* darker-grotesque-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Darker Grotesque";
  font-style: normal;
  font-weight: 900;
  src: url("../fonts/darker-grotesque-v10-latin-900.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

*,
*::before,
*::after {
  box-sizing: border-box;
}
:root {
  --kk-green: #acc726;
  --kk-pink: #d4386d;
  --kk-purple: #73398e;
}
html {
  scroll-behavior: smooth;
  padding: 0;
}
body {
  font-family:
    Darker Grotesque,
    sans-serif;
  font-size: 100%;
  padding: 0;
  margin: 0;
}
svg {
  display: block;
}
.vishidden {
  position: absolute !important;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}
.mw {
  max-width: 1200px;
}
nav {
  a {
    text-decoration: none;
    font-weight: 900;
    color: var(--kk-pink);
    font-size: 1.6em;
    text-transform: uppercase;
  }
}
.margin-auto {
  margin-left: auto;
  margin-right: auto;
}
.clr-pink {
  color: var(--kk-pink);
}
.clr-purple {
  color: var(--kk-purple);
}
header {
  display: flex;
  z-index: 999;
  justify-content: space-between;
  align-items: center;
  padding: 2dvh 4dvw;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: rgba(255, 255, 255, 0.95);
  ul {
    list-style: none outside;
    margin: 0;
    padding: 0;
    margin-left: auto;
    display: flex;
    align-items: center;
    gap: 2.5dvw;
    li {
      margin: 0;
      padding: 0;
      a {
        display: block;
      }
    }
  }
}
body.scrolled {
  .logo svg {
    width: 8dvw;
  }
}
.logo {
  svg {
    display: block;
    width: 15dvw;
    min-width: 6rem;
    max-width: 150px;
    transition: all 0.2s linear 0s;
  }
}
section {
  max-width: 960px;
  padding: 4dvw 2dvw;
  margin: auto;
  h2 {
    text-transform: uppercase;
    line-height: 0.8;
    font-size: clamp(3rem, 10dvw, 8rem);
    color: var(--kk-green);
    margin-bottom: 1rem;
    margin-top: 0;
    span:first-child {
      font-size: clamp(1rem, 4dvw, 2rem);
      font-weight: 600;
      display: block;
      margin-bottom: 0rem;
    }
  }
  p {
    width: 50dvw;
    max-width: 480px;
  }

  &:nth-child(2) {
    padding-left: 6dvw;
  }
  &:nth-child(3) {
    padding-left: 4dvw;
  }
  &:nth-child(4) {
    padding-left: 1dvw;
  }

  display: flex;
  gap: 4dvw;
  align-items: center;
  justify-content: space-between;
  .content {
    flex: 0 1 auto;
  }

  .mask-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    clip-path: url(#logo-mask-jenny);
    object-fit: cover;
  }
  .image {
    position: relative;
    opacity: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 0 1 45%;
    img {
      width: 446px;
      height: 100%;
    }
  }
}
.svg-mask {
  position: absolute;
  width: 0;
  height: 0;
  top: -20px;
}

p {
  font-size: 1.5rem;
  line-height: 1.3;
}
footer {
  background-color: var(--kk-green);
  color: white;
  h2 {
    text-transform: uppercase;
    font-size: 4rem;
    line-height: 0.8;
    margin: 0;
    margin-bottom: 2rem;
    span:first-child {
      font-size: 2rem;
      font-weight: 600;
      display: block;
    }
  }
  h3 {
    margin: 0rem 0 0 0;
  }
  p {
    margin: 0 0 1rem 0;
    font-weight: 600;
  }
  a {
    color: var(--kk-pink);
    text-decoration: none;
  }
}
.footer-inner {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 4dvw 6dvw;
}
.col {
  flex: 0 1 calc(50% - 2dvw);
}
.social-nav {
  display: flex;
  margin-top: 4dvh;
  gap: 2dvw;
  svg {
    width: 2rem;
    path {
      fill: white;
    }
  }
}

.rellax {
  z-index: -1;
  opacity: 0.15;
}

@media screen and (max-width: 768px) {
  header {
    flex-direction: column;
    ul {
      gap: 4dvw;
      margin-top: 4dvw;
      a {
        font-size: 4.4dvw;
      }
    }
  }
  body.scrolled .logo svg {
    width: 4rem;
    min-width: 0;
  }
  .rellax {
    opacity: 0.1;
  }
  .footer-inner {
    flex-direction: column;
    padding-top: 6dvh;
  }
  section {
    overflow: hidden;
    align-items: flex-start;
    padding-left: 1rem !important;
    padding-right: 1rem !important;
    p {
      width: 100%;
      max-width: 100%;
    }
    flex-direction: column;
    .image {
      margin-bottom: 4dvh;
      width: 100%;
      order: 0;
    }
    .content {
      order: 1;
    }
  }
  footer a {
    display: block;
  }
  footer a + br {
    display: none;
  }
}
